import React from 'react';
import { PassConfig, RedeemAndRevealConfig, SimultaneousRevealConfig, UseCase } from '@inkerlabs/sdk';
interface ProviderCommonProps {
    children?: React.ReactNode;
}
declare type ConfigProps = {
    useCase: UseCase.PASS;
    config: PassConfig;
} | {
    useCase: UseCase.RR;
    config: RedeemAndRevealConfig;
} | {
    useCase: UseCase.SR;
    config: SimultaneousRevealConfig;
};
declare type ProviderProps = ProviderCommonProps & ConfigProps;
export declare const availableChains: import("wagmi").Chain[];
export default function Provider({ children, ...props }: ProviderProps): JSX.Element;
export {};
